put

/aggregation/transactions/{transaction_id}

Update various details about a transaction. The transaction can be personalised in a variety of ways by the user including:

  • Recategorisation - category_id can be changed to recategorise the transaction. See also recategorise_all
  • Change Budget Category - a new budget_category can be set to allow high level budgeting by the user. See also budget_apply_all
  • Excluding - transactions can be excluded from budgets, goals and other features by marking included property to false. This allows large one off transactions to be excluded from features where it could skew progress tracking. See also include_apply_all
  • Renaming and notes - The transaction can be renamed by setting the user_description property. Additionally notes can be added using the memo field

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
6 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
memo
string

Add notes or other text to a transaction

1 validation
user_description
string

Allows a user to provide their own description for a transaction, e.g. renaming it

1 validation
included
string

Include or exclude a transaction from budgets and other features

1 validation
include_apply_all
boolean

If true, it will apply the update to included to all similar transactions

1 validation
budget_category
string

High level bucket used to help budget

1 validation + required
budget_apply_all
boolean

If true, it will apply the update to budget_category to all similar transactions

1 validation
category_id
number

The ID of the category to recategorise the transaction to

1 validation
recategorise_all
boolean

If true, it will apply the update to category_id to all similar transactions

1 validation

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
id
number
1 validation
account_id
number
1 validation
base_type
string
1 validation
status
string
1 validation
transaction_date
string
1 validation
post_date
string

Only for Bank, CreditCard, Insurance, Loan

1 validation
amount
object
description
object

Only for Bank, CreditCard, Insurance, Loan, Bill, Investment

budget_category
string

High level bucket used to help budget

1 validation
category_id
number
1 validation
category_name
string
1 validation
category_image_url
string
1 validation
merchant
object
memo
string
1 validation
included
boolean
1 validation
bill_id
number
1 validation
bill_payment_id
number
1 validation
user_tags
array[string]
biller
object
payee
string

Receiver of funds

payer
string

Sender of funds

type
string

The type of the transaction e.g. interest_charged

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
transaction_id
$$.env
1 variable not set
Authorization